Altes CMSMS-Projekt updaten

Deutschsprachiger Support für CMS Made Simple
Post Reply
User avatar
tbillert
Forum Members
Forum Members
Posts: 48
Joined: Tue Jun 17, 2008 3:46 pm
Location: Jena/Germany

Altes CMSMS-Projekt updaten

Post by tbillert »

Guten Abend zusammen,

ich habe vor vielen Jahren für einen Freund ein CMSMS-Projekt aufgesetzt (www.geojena.de), welches natürlich nie ein Update gesehen hat. Es läuft noch auf CMSMS 1.8.2 und PHP 5.3 (yeah... ;-). Da der Webhoster nun PHP 5.3 abschaltet, muss ich es dringend updaten.

Ich überlege gerade, wie ich das am besten anstelle. Die "Brechstangen"-Variante wäre natürlich, die aktuelle Version drüber zu bügeln und PHP auf 7.2 zu stellen. Hat das Aussicht auf Erfolg? Werden die Templates dann noch funktionieren? Oder sollte man schrittweise updaten, sagen wir PHP 5.6 und Version 1.9 und dann weiter? Leider habe ich keine Infos gefunden, welche PHP-Versionen das Maximum für die alten CMSMS-Builds darstellen.

Besten Dank für jeglichen Input :-)

Viele Grüße aus Jena,

Thomas.
User avatar
velden
Dev Team Member
Dev Team Member
Posts: 3304
Joined: Mon Nov 28, 2011 9:29 am
Location: The Netherlands

Re: Altes CMSMS-Projekt updaten

Post by velden »

https://docs.cmsmadesimple.org/upgradin ... ions#1.8.2

Maximum PHP version I don't know for the older versions but using 5.6 you should be able to upgrade to cmsms 2.x
Then you should be able to switch to PHP 7.2 (possibly earlier).

Make sure to read the documentation and also make backups of database and files before starting the upgrade and preferably after finishing a successful upgrade step too.

Also note that Module Manager doesn't work until you're on version 1.12.x
So if 3rd party modules need an upgrade before you're on version 1.12.x you will have to upgrade manually.
User avatar
tbillert
Forum Members
Forum Members
Posts: 48
Joined: Tue Jun 17, 2008 3:46 pm
Location: Jena/Germany

Re: Altes CMSMS-Projekt updaten

Post by tbillert »

Thank you! IW ill do so. AFAIK we don't use any 3rd party modules, it's a simple project just using the core CMS.

Best wishes,

Thomas.
User avatar
velden
Dev Team Member
Dev Team Member
Posts: 3304
Joined: Mon Nov 28, 2011 9:29 am
Location: The Netherlands

Re: Altes CMSMS-Projekt updaten

Post by velden »

I think I saw a contact form (http://www.geojena.de/index.php?page=kontakt) and a guestbook. Those might be 3rd party modules.
User avatar
tbillert
Forum Members
Forum Members
Posts: 48
Joined: Tue Jun 17, 2008 3:46 pm
Location: Jena/Germany

Re: Altes CMSMS-Projekt updaten

Post by tbillert »

OK, thank you - I will check that... :-)
User avatar
tbillert
Forum Members
Forum Members
Posts: 48
Joined: Tue Jun 17, 2008 3:46 pm
Location: Jena/Germany

Re: Altes CMSMS-Projekt updaten

Post by tbillert »

OK, I finally did it. After deinstalling the Guestbook and Captcha modules (the website can live without these) I was able to stepwise update up to 1.12.2, the last build of version 1. The website woks, the admin works. Only problem: when trying to edit a page (via content -> pages) I don't get the TinyMCE editor but an error message

Fatal error: Call to a member function TemplateId() on null in [...]/geojena.de/plugins/function.stylesheet.php on line 56

What's this?

Further - will it be safe to upgrade further, starting with 2.0? The web server now runs PHP 5.6 (before PHP 5.3). PHP 7.1 - 7.4 are also available :-)

Many thanks!

Best wishes,

Thomas.
Last edited by tbillert on Tue Nov 10, 2020 2:53 pm, edited 1 time in total.
User avatar
tbillert
Forum Members
Forum Members
Posts: 48
Joined: Tue Jun 17, 2008 3:46 pm
Location: Jena/Germany

Re: Altes CMSMS-Projekt updaten

Post by tbillert »

I also activated SSL for the website. When https redirect is active, I can't lo into CMSMS admin anymore. It says that the form is unsafe and after sending the login credentials, I'm back at the form again... The frontend works well with https. Any ideas...?

Thank you very much!
User avatar
velden
Dev Team Member
Dev Team Member
Posts: 3304
Joined: Mon Nov 28, 2011 9:29 am
Location: The Netherlands

Re: Altes CMSMS-Projekt updaten

Post by velden »

tbillert wrote: Tue Nov 10, 2020 2:41 pm OK, I finally did it. After deinstalling the Guestbook and Captcha modules (the website can live without these) I was able to stepwise update up to 1.12.2, the last build of version 1. The website woks, the admin works. Only problem: when trying to edit a page (via content -> pages) I don't get the TinyMCE editor but an error message

Fatal error: Call to a member function TemplateId() on null in [...]/geojena.de/plugins/function.stylesheet.php on line 56

What's this?

Further - will it be safe to upgrade further, starting with 2.0? The web server now runs PHP 5.6 (before PHP 5.3). PHP 7.1 - 7.4 are also available :-)

Many thanks!

Best wishes,

Thomas.
Any chance you still have {stylesheet} tags in your page template(s)?

https://docs.cmsmadesimple.org/upgradin ... ions#1.8.2
NECESSARY FOLLOW-UP ACTIONS AND KNOWN ISSUES
The {stylesheet} tag was deprecated in 1.8. Change all of your templates to use {cms_stylesheet} instead. Be sure to use absolute urls in your css (see Stylesheets for more info).
User avatar
tbillert
Forum Members
Forum Members
Posts: 48
Joined: Tue Jun 17, 2008 3:46 pm
Location: Jena/Germany

Re: Altes CMSMS-Projekt updaten

Post by tbillert »

Thank you very much, velden! :-)

Now it works. However, TinyMCE doesn't load, only MicroTiny. And the menu of the website is gone... Hm.
Post Reply

Return to “German - Deutsch”